# Servicio de productos
### Introduccion
Creo un SpringCore Con el servicio de consultar productos   
con sus precios y todas las caracteristicas.
### Documentacion
### Files
- *Parser* Clase que se encarga de leeer el archivo CSV donde estan guardados los datos
- *productos_data.csv* Archivo de datos 
- *Main.java* Clase Principal del programa  
- *ProductoDao.java* Interfaz de productos
- *ProductosDaoImplMemory.java* implementa la memoria de la iinterfaz
- *Producto.java* Modelo del producto  
- *ProductoService.java* Clase para el control de los servicios del producto   
- *beans.xml* Arvhivo que contiene los bean para la inyeccion de dependencias _(Ya no se Utiliza)_ 
- *AppConfig.java* Para leer las anotaciones y configurar la app
### Dependencias importadas:
~~~
org.springframework id:spring-context v: 6.0.0
javax.annotation id:javax.annotation-api v:1.3.2
org.springframework id:spring-core v:6.0.0
~~~

### Salida por pantalla
~~~
id=0
 nombre='Nevera'
 descripcion='Producto para enfriar '
 cantidad=200
 precio=259.99}
id=1
 nombre='Lampara'
 descripcion='Ilumina tu cuarto'
 cantidad=2500
 precio=25.3}
id=2
 nombre='Ordenador MSI'
 descripcion='Portatil de Ultima generacion'
 cantidad=100
 precio=1199.99}
id=3
 nombre='Pantalla Led'
 descripcion='Mejor Imposible'
 cantidad=250
 precio=399.99}
id=4
 nombre='Ratón'
 descripcion='El mejor periférico'
 cantidad=1500
 precio=25.99}
id=5
 nombre='Teclado'
 descripcion='La nueva tecnologia'
 cantidad=200
 precio=25.99}
id=6
 nombre='Regleta de luz'
 descripcion='Solo eso, una regleta'
 cantidad=1500
 precio=9.99}
id=7
 nombre='Cargador 65W'
 descripcion='MaximaVelocidad'
 cantidad=500
 precio=99.99}

Process finished with exit code 0

~~~
