package com.jorpelu.ServicioDeProductos.config;


import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;

@Configuration
@ComponentScan(basePackages = "com.jorpelu.ServicioDeProductos")
@PropertySource("classpath:/productos.properties")
public class AppConfig {
    @Value("${file.path}")
    private String file;

    @Value("${file.csv.separator}")
    private String separator;

    public String getFile() {
        return file;
    }

    public String getSeparator() {
        return separator;
    }
}
